# pybedtools.bedtool.BedTool.cluster

BedTool.cluster(*args, **kwargs)

  > Wraps `bedtools cluster`.

  For convenience, the file or stream this BedTool points to is implicitly passed as the `-i` argument to `clusterBed`

  Original BEDTools help::

      Tool:    bedtools cluster
      Version: v2.30.0
      Summary: Clusters overlapping/nearby BED/GFF/VCF intervals.

      Usage:   bedtools cluster [OPTIONS] -i <bed/gff/vcf>

      Options:
              -s      Force strandedness.  That is, only merge features
                      that are the same strand.
                      - By default, merging is done without respect to strand.

              -d      Maximum distance between features allowed for features
                      to be merged.
                      - Def. 0. That is, overlapping & book-ended features are merged.
                      - (INTEGER)